%global srcname terminado
# python2-tornado package is too old on EPEL
%if 0%{?fedora}
%bcond_without python2
%else
%bcond_with python2
%endif

Name:           python-%{srcname}
Version:        0.8.1
Release:        4%{?dist}
Summary:        Terminals served to term.js using Tornado websockets

License:        BSD
URL:            https://github.com/takluyver/terminado
Source0:        https://github.com/takluyver/terminado/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.

%if %{with python2}
%package -n python2-%{srcname}
Summary:        Terminals served to term.js using Tornado websockets
BuildRequires:  python2-devel
# For tests
BuildRequires:  python2-nose
BuildRequires:  python2-ptyprocess
BuildRequires:  python2-tornado >= 4.0.0
Requires:       python2-ptyprocess
Requires:       python2-tornado >= 4.0.0
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.
%endif


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Terminals served to term.js using Tornado websockets
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-flit
BuildRequires:  python%{python3_pkgversion}-pygments
# For tests
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-ptyprocess
BuildRequires:  python%{python3_pkgversion}-tornado >= 4.0.0
Requires:       python%{python3_pkgversion}-ptyprocess
Requires:       python%{python3_pkgversion}-tornado >= 4.0.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.


%prep
%setup -q -n %{srcname}-%{version}


%build
# this package has no setup.py, it uses flit
export FLIT_NO_NETWORK=1
flit build --format wheel

%install
# We install the wheel created at %%build
%if %{with python2}
%py2_install_wheel %{srcname}-%{version}-py2.py3-none-any.whl
%endif
%py3_install_wheel %{srcname}-%{version}-py2.py3-none-any.whl


%check
%if %{with python2}
%{__python2} -m nose -v
%endif
%{__python3} -m nose -v

 
%if %{with python2}
%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}.dist-info
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info


%changelog
* Wed Jun 27 2018 Petr Viktorin <pviktori@redhat.com> - 0.8.1-4
- Test using nose, which the project's README suggests

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-1
- Updated to 0.8.1 (#1513790)
- The package now uses flit
- The tests are now invoked with pytest
- LICENSE.txt renamed to LICENSE
- Be more explicit in %%files

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Orion Poplawski <orion@cora.nwra.com> - 0.6-2
- Run tests verbosely
- Do not build for python2 on EPEL

* Mon Feb 22 2016 Orion Poplawski <orion@cora.nwra.com> - 0.6-1
- Update to 0.6
- Modernize spec

* Mon Jul 27 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-3
- Add python2-terminado provides

* Fri Jul 10 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-2
- Build python2/3 from same tree
- BR/R tornado 4.0.0
- Fix changelog version number

* Tue May  5 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-1
- Initial package
